import QtQuick 2.1;
import QtGraphicalEffects 1.0

Rectangle {
    property color shadowColor: "#232629"
    color: "white"

    x: 0
    y: 0
    width: 100
    height: 100

    RadialGradient {
        anchors.fill: parent
        horizontalOffset: width/2
        verticalOffset: height/2
        gradient: Gradient {
            property color baseShadowColor: Qt.rgba(shadowColor.r,
                                                    shadowColor.g,
                                                    shadowColor.b,
                                                    0.35)
            GradientStop {
                position: 0.0
                color: Qt.rgba(shadowColor.r,
                            shadowColor.g,
                            shadowColor.b,
                            0.35)
            }
            GradientStop {
                position: 0.25
                color: Qt.rgba(shadowColor.r, shadowColor.g, shadowColor.b, 0.25)
            }
            GradientStop {
                position: 0.50
                color: Qt.rgba(shadowColor.r, shadowColor.g, shadowColor.b, 0.13)
            }
            GradientStop {
                position: 0.75
                color: Qt.rgba(shadowColor.r, shadowColor.g, shadowColor.b, 0.04)
            }
            GradientStop {
                position: 1.0;
                color: Qt.rgba(shadowColor.r, shadowColor.g, shadowColor.b, 0.0)
            }
        }
    }
}
